/{organizationId}/{mandateId}/sales/inventory/activity/listList inventory activity
Lists paginated reserved, committed, sold, and returned inventory
Required permissions:
mandate.read
product.read
inventory.read
receipt.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
productIdstringoptional includePeriodsbooleanoptional Default: false
searchTermstringoptional statusstringoptional Options:
reservedcommittedsoldreturnedDefault: {"createdAt":"desc"}
limitintegeroptional Default: 50
minimum: 1
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/inventory/activity/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"productId": "string",
"includePeriods": false,
"searchTerm": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"activities": [
{
"id": "string",
"mandateId": "000000000000000000000001",
"productId": "000000000000000000000001",
"productName": "string",
"scopeKey": "string",
"period": {
"_id": "000000000000000000000001",
"name": "string",
"startsAt": "string",
"endsAt": "string"
},
"receiptId": "000000000000000000000001",
"receiptType": "offer",
"receiptNumber": "string",
"account": 1,
"accountName": "string",
"quantity": 1,
"status": "reserved",
"expiresOn": "string",
"createdAt": "2026-06-15T22:30:00Z"
}
],
"count": 0
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}